%global momorel 5
#%%define xmmsinputdir %(xmms-config --input-plugin-dir)
%global xmmsinputdir /usr/X11R6/%{_lib}/xmms/Input

Summary: Library and frontend for decoding MPEG2/4 AAC.
Name: faad2
Version: 2.0
Release: %{momorel}m
License: GPL
Group: Applications/Multimedia
%NoSource 0 http://dl.sourceforge.net/sourceforge/faac/faad2-2.0.tar.gz 1a6f79365f2934a4888b210ef47a3a07
Patch0: faad2-Makefile.tab.patch
Patch1: faad2-2.0-gcc34.patch
Patch2: faad2-2.0-xmms.patch
URL: http://www.audiocoding.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: autoconf, automake, libtool, gcc-c++ >= 3.4.1-1m
BuildRequires: libsndfile-devel >= 1.0.0
BuildRequires: xmms-devel, id3lib-devel, gtk+-devel
BuildRequires: zlib-devel

%description
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder, completely
written from scratch.


%package -n xmms-aac
Summary: X MultiMedia System input plugin to play AAC files.
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}, xmms, id3lib

%description -n xmms-aac
This xmms plugin reads AAC files with and without ID3 tags (version 2.x).
AAC files are MPEG2 or MPEG4 files that can be found in MPEG4 audio files
(.mp4). MPEG4 files with AAC inside can be read by RealPlayer or Quicktime.


%package devel
Summary: Development libraries of the FAAD 2 AAC decoder.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder, completely
written from scratch.

This package contains development files and documentation for libfaad.


%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1 -b .gcc34
%patch2 -p1 -b .xmms

%build
chmod 755 bootstrap && ./bootstrap
%configure --with-xmms
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:%{_builddir}/%{name}/libfaad"
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_libdir}/*.so.*

%files -n xmms-aac
%defattr(-,root,root,-)
%doc plugins/xmms/AUTHORS plugins/xmms/NEWS
%doc plugins/xmms/README plugins/xmms/TODO
%exclude %{xmmsinputdir}/*.a
%exclude %{xmmsinputdir}/*.la
%{xmmsinputdir}/*.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Mon May  2 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0-5m)
- fix xmms plugin crash

* Fri Feb  4 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.0-4m)
- enable x86_64.

* Sun Aug 22 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.0-3m)
- rebuild against gcc-c++-3.4.1
- add gcc34 patch

* Wed Jun 16 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.0-2m)
- correct the directory name

* Sat May 29 2004 Toru Hoshina <t@momonga-linux.org>
- (2.0-1m)
- import from paken.

* Fri Jan 31 2004 Takeru Komoriya <komoriya@paken.org>
- Repackaged based on faad2-2.0-rc1_1.rhfc1.at

* Tue Aug 12 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.0rc1.
- Introduced LD_LIBRARY_PATH workaround.
- Removed optional xmms plugin build, it seems mandatory now.
- Added gtk+ build dep for the xmms plugin.

* Wed May 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added xmms plugin build.

* Wed Apr  9 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup.
- Now exclude .la file.
- Update to latest CVS checkout to fix compile problem.

* Fri Aug 10 2002 Alexander Kurpiers <a.kurpiers@nt.tu-darmstadt.de>
- changes to compile v1.1 release

* Tue Jun 18 2002 Alexander Kurpiers <a.kurpiers@nt.tu-darmstadt.de>
- First RPM.

